#!/usr/bin/env zsh

# Format: label action condition
local entries=('Select system sound output' 'select-sound-output.sh' 'true'
               'Configure USB device access' 'usbguard-menu.py' 'pgrep usbguard-daemon'
               'Power settings (restart and shutdown)' 'system-power-menu.sh' 'true')

local fuzzel_input=""
declare -A entry_map
for ((i = 1; i <= ${#entries}; i+=3)); do
    if eval "${entries[${i} + 2]}" >/dev/null 2>&1; then
        entry_map["${entries[${i}]}"]="${entries[${i} + 1]}"
        fuzzel_input+="${entries[${i}]}\n"
    fi
done

local scripts_dir="$(dirname "$(realpath "${0}")")"
choice="$(echo -n "${fuzzel_input}" | fuzzel -d)"

(( ${?} != 0 )) && exit

eval "${scripts_dir}/${entry_map["${choice}"]}"
